package it.integry.integrywmsnative.core.model;

import java.math.BigDecimal;

public class DtbOrdt extends EntityBase {

    private String dataOrd;
    private String gestione;
    private Integer numOrd;
    private BigDecimal acconto;
    private String activityId;
    private String activityTypeId;
    private String aspettoBeni;
    private String causaleTrasp;
    private String codAbi;
    private String codAnag;
    private String codAuto;
    private String codBanc;
    private String codBancAzi;
    private String codCab;
    private String codDgrpArt;
    private String codDivi;
    private String codEtic;
    private String codFornTd;
    private String codJcom;
    private String codJfas;
    private String codMdep;
    private String codPaga;
    private String codProd;
    private String codTcolUi;
    private String codTcolUl;
    private String codVage;
    private String codVage2;
    private String codVdes;
    private String codVvet;
    private String codVvet2;
    private String codVzon;
    private BigDecimal colliPedana;
    private String compilatoDa;
    private String controllatoDa;
    private String dataConsProd;
    private String dataConsProdMax;
    private String dataEsportazione;
    private String dataConferma;
    private String dataInizProd;
    private String dataInizTrasp;
    private String dataInsOrd;
    private String dataOrdRif;
    private String rifDdataOrd;
    private String dataRicezione;
    private String dataRifScad;
    private String dataUltMod;
    private String descrEstesaProd;
    private String descrizionePaga;
    private String descrizioneProd;
    private String eanFidelity;
    private String flagAnnulla;
    private String flagEscRoyal;
    private String flagEvasoForzato;
    private String flagEvasoProd;
    private String flagPrzScontati;
    private String flagSospeso;
    private String flagTipologia;
    private String gestioneRif;
    private String itemId;
    private String listino;
    private Integer livello;
    private String mezzo;
    private String modificatoDa;
    private BigDecimal nettoMerce;
    private BigDecimal nolo;
    private String note;
    private String numColli;
    private String numCons;
    private Integer numFase;
    private Integer numOrdProvv;
    private Integer numOrdRif;
    private Integer rifNumOrd;
    private String partitaMag;
    private BigDecimal percEsclStat;
    private String personaRif;
    private String peso;
    private String porto;
    private BigDecimal qtaEvasaProd;
    private BigDecimal qtaPrenotataRep;
    private BigDecimal qtaProd;
    private BigDecimal rapConvProd;
    private String rfid;
    private String rifOrd;
    private Integer rigaOrdRif;
    private BigDecimal sconto1;
    private BigDecimal sconto2;
    private BigDecimal sconto3;
    private BigDecimal sconto4;
    private String serie;
    private String termCons;
    private String tipoAnag;
    private Integer totFasi;
    private BigDecimal totImponib;
    private BigDecimal totIva;
    private BigDecimal totMerce;
    private BigDecimal totOmaggi;
    private BigDecimal totProvvig;
    private String untMisProd;
    private String flagPrzIva;
    private String noteConferma;
    private String codJflav;


    public String getDataOrd() {
        return dataOrd;
    }

    public DtbOrdt setDataOrd(String dataOrd) {
        this.dataOrd = dataOrd;
        return this;
    }

    public String getGestione() {
        return gestione;
    }

    public DtbOrdt setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public Integer getNumOrd() {
        return numOrd;
    }

    public DtbOrdt setNumOrd(Integer numOrd) {
        this.numOrd = numOrd;
        return this;
    }

    public BigDecimal getAcconto() {
        return acconto;
    }

    public DtbOrdt setAcconto(BigDecimal acconto) {
        this.acconto = acconto;
        return this;
    }

    public String getActivityId() {
        return activityId;
    }

    public DtbOrdt setActivityId(String activityId) {
        this.activityId = activityId;
        return this;
    }

    public String getActivityTypeId() {
        return activityTypeId;
    }

    public DtbOrdt setActivityTypeId(String activityTypeId) {
        this.activityTypeId = activityTypeId;
        return this;
    }

    public String getAspettoBeni() {
        return aspettoBeni;
    }

    public DtbOrdt setAspettoBeni(String aspettoBeni) {
        this.aspettoBeni = aspettoBeni;
        return this;
    }

    public String getCausaleTrasp() {
        return causaleTrasp;
    }

    public DtbOrdt setCausaleTrasp(String causaleTrasp) {
        this.causaleTrasp = causaleTrasp;
        return this;
    }

    public String getCodAbi() {
        return codAbi;
    }

    public DtbOrdt setCodAbi(String codAbi) {
        this.codAbi = codAbi;
        return this;
    }

    public String getCodAnag() {
        return codAnag;
    }

    public DtbOrdt setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public String getCodAuto() {
        return codAuto;
    }

    public DtbOrdt setCodAuto(String codAuto) {
        this.codAuto = codAuto;
        return this;
    }

    public String getCodBanc() {
        return codBanc;
    }

    public DtbOrdt setCodBanc(String codBanc) {
        this.codBanc = codBanc;
        return this;
    }

    public String getCodBancAzi() {
        return codBancAzi;
    }

    public DtbOrdt setCodBancAzi(String codBancAzi) {
        this.codBancAzi = codBancAzi;
        return this;
    }

    public String getCodCab() {
        return codCab;
    }

    public DtbOrdt setCodCab(String codCab) {
        this.codCab = codCab;
        return this;
    }

    public String getCodDgrpArt() {
        return codDgrpArt;
    }

    public DtbOrdt setCodDgrpArt(String codDgrpArt) {
        this.codDgrpArt = codDgrpArt;
        return this;
    }

    public String getCodDivi() {
        return codDivi;
    }

    public DtbOrdt setCodDivi(String codDivi) {
        this.codDivi = codDivi;
        return this;
    }

    public String getCodEtic() {
        return codEtic;
    }

    public DtbOrdt setCodEtic(String codEtic) {
        this.codEtic = codEtic;
        return this;
    }

    public String getCodFornTd() {
        return codFornTd;
    }

    public DtbOrdt setCodFornTd(String codFornTd) {
        this.codFornTd = codFornTd;
        return this;
    }

    public String getCodJcom() {
        return codJcom;
    }

    public DtbOrdt setCodJcom(String codJcom) {
        this.codJcom = codJcom;
        return this;
    }

    public String getCodJfas() {
        return codJfas;
    }

    public DtbOrdt setCodJfas(String codJfas) {
        this.codJfas = codJfas;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public DtbOrdt setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }

    public String getCodPaga() {
        return codPaga;
    }

    public DtbOrdt setCodPaga(String codPaga) {
        this.codPaga = codPaga;
        return this;
    }

    public String getCodProd() {
        return codProd;
    }

    public DtbOrdt setCodProd(String codProd) {
        this.codProd = codProd;
        return this;
    }

    public String getCodTcolUi() {
        return codTcolUi;
    }

    public DtbOrdt setCodTcolUi(String codTcolUi) {
        this.codTcolUi = codTcolUi;
        return this;
    }

    public String getCodTcolUl() {
        return codTcolUl;
    }

    public DtbOrdt setCodTcolUl(String codTcolUl) {
        this.codTcolUl = codTcolUl;
        return this;
    }

    public String getCodVage() {
        return codVage;
    }

    public DtbOrdt setCodVage(String codVage) {
        this.codVage = codVage;
        return this;
    }

    public String getCodVage2() {
        return codVage2;
    }

    public DtbOrdt setCodVage2(String codVage2) {
        this.codVage2 = codVage2;
        return this;
    }

    public String getCodVdes() {
        return codVdes;
    }

    public DtbOrdt setCodVdes(String codVdes) {
        this.codVdes = codVdes;
        return this;
    }

    public String getCodVvet() {
        return codVvet;
    }

    public DtbOrdt setCodVvet(String codVvet) {
        this.codVvet = codVvet;
        return this;
    }

    public String getCodVvet2() {
        return codVvet2;
    }

    public DtbOrdt setCodVvet2(String codVvet2) {
        this.codVvet2 = codVvet2;
        return this;
    }

    public String getCodVzon() {
        return codVzon;
    }

    public DtbOrdt setCodVzon(String codVzon) {
        this.codVzon = codVzon;
        return this;
    }

    public BigDecimal getColliPedana() {
        return colliPedana;
    }

    public DtbOrdt setColliPedana(BigDecimal colliPedana) {
        this.colliPedana = colliPedana;
        return this;
    }

    public String getCompilatoDa() {
        return compilatoDa;
    }

    public DtbOrdt setCompilatoDa(String compilatoDa) {
        this.compilatoDa = compilatoDa;
        return this;
    }

    public String getControllatoDa() {
        return controllatoDa;
    }

    public DtbOrdt setControllatoDa(String controllatoDa) {
        this.controllatoDa = controllatoDa;
        return this;
    }

    public String getDataConsProd() {
        return dataConsProd;
    }

    public DtbOrdt setDataConsProd(String dataConsProd) {
        this.dataConsProd = dataConsProd;
        return this;
    }

    public String getDataConsProdMax() {
        return dataConsProdMax;
    }

    public DtbOrdt setDataConsProdMax(String dataConsProdMax) {
        this.dataConsProdMax = dataConsProdMax;
        return this;
    }

    public String getDataEsportazione() {
        return dataEsportazione;
    }

    public DtbOrdt setDataEsportazione(String dataEsportazione) {
        this.dataEsportazione = dataEsportazione;
        return this;
    }

    public String getDataConferma() {
        return dataConferma;
    }

    public DtbOrdt setDataConferma(String dataConferma) {
        this.dataConferma = dataConferma;
        return this;
    }

    public String getDataInizProd() {
        return dataInizProd;
    }

    public DtbOrdt setDataInizProd(String dataInizProd) {
        this.dataInizProd = dataInizProd;
        return this;
    }

    public String getDataInizTrasp() {
        return dataInizTrasp;
    }

    public DtbOrdt setDataInizTrasp(String dataInizTrasp) {
        this.dataInizTrasp = dataInizTrasp;
        return this;
    }

    public String getDataInsOrd() {
        return dataInsOrd;
    }

    public DtbOrdt setDataInsOrd(String dataInsOrd) {
        this.dataInsOrd = dataInsOrd;
        return this;
    }

    public String getDataOrdRif() {
        return dataOrdRif;
    }

    public DtbOrdt setDataOrdRif(String dataOrdRif) {
        this.dataOrdRif = dataOrdRif;
        return this;
    }

    public String getRifDdataOrd() {
        return rifDdataOrd;
    }

    public DtbOrdt setRifDdataOrd(String rifDdataOrd) {
        this.rifDdataOrd = rifDdataOrd;
        return this;
    }

    public String getDataRicezione() {
        return dataRicezione;
    }

    public DtbOrdt setDataRicezione(String dataRicezione) {
        this.dataRicezione = dataRicezione;
        return this;
    }

    public String getDataRifScad() {
        return dataRifScad;
    }

    public DtbOrdt setDataRifScad(String dataRifScad) {
        this.dataRifScad = dataRifScad;
        return this;
    }

    public String getDataUltMod() {
        return dataUltMod;
    }

    public DtbOrdt setDataUltMod(String dataUltMod) {
        this.dataUltMod = dataUltMod;
        return this;
    }

    public String getDescrEstesaProd() {
        return descrEstesaProd;
    }

    public DtbOrdt setDescrEstesaProd(String descrEstesaProd) {
        this.descrEstesaProd = descrEstesaProd;
        return this;
    }

    public String getDescrizionePaga() {
        return descrizionePaga;
    }

    public DtbOrdt setDescrizionePaga(String descrizionePaga) {
        this.descrizionePaga = descrizionePaga;
        return this;
    }

    public String getDescrizioneProd() {
        return descrizioneProd;
    }

    public DtbOrdt setDescrizioneProd(String descrizioneProd) {
        this.descrizioneProd = descrizioneProd;
        return this;
    }

    public String getEanFidelity() {
        return eanFidelity;
    }

    public DtbOrdt setEanFidelity(String eanFidelity) {
        this.eanFidelity = eanFidelity;
        return this;
    }

    public String getFlagAnnulla() {
        return flagAnnulla;
    }

    public DtbOrdt setFlagAnnulla(String flagAnnulla) {
        this.flagAnnulla = flagAnnulla;
        return this;
    }

    public String getFlagEscRoyal() {
        return flagEscRoyal;
    }

    public DtbOrdt setFlagEscRoyal(String flagEscRoyal) {
        this.flagEscRoyal = flagEscRoyal;
        return this;
    }

    public String getFlagEvasoForzato() {
        return flagEvasoForzato;
    }

    public DtbOrdt setFlagEvasoForzato(String flagEvasoForzato) {
        this.flagEvasoForzato = flagEvasoForzato;
        return this;
    }

    public String getFlagEvasoProd() {
        return flagEvasoProd;
    }

    public DtbOrdt setFlagEvasoProd(String flagEvasoProd) {
        this.flagEvasoProd = flagEvasoProd;
        return this;
    }

    public String getFlagPrzScontati() {
        return flagPrzScontati;
    }

    public DtbOrdt setFlagPrzScontati(String flagPrzScontati) {
        this.flagPrzScontati = flagPrzScontati;
        return this;
    }

    public String getFlagSospeso() {
        return flagSospeso;
    }

    public DtbOrdt setFlagSospeso(String flagSospeso) {
        this.flagSospeso = flagSospeso;
        return this;
    }

    public String getFlagTipologia() {
        return flagTipologia;
    }

    public DtbOrdt setFlagTipologia(String flagTipologia) {
        this.flagTipologia = flagTipologia;
        return this;
    }

    public String getGestioneRif() {
        return gestioneRif;
    }

    public DtbOrdt setGestioneRif(String gestioneRif) {
        this.gestioneRif = gestioneRif;
        return this;
    }

    public String getItemId() {
        return itemId;
    }

    public DtbOrdt setItemId(String itemId) {
        this.itemId = itemId;
        return this;
    }

    public String getListino() {
        return listino;
    }

    public DtbOrdt setListino(String listino) {
        this.listino = listino;
        return this;
    }

    public Integer getLivello() {
        return livello;
    }

    public DtbOrdt setLivello(Integer livello) {
        this.livello = livello;
        return this;
    }

    public String getMezzo() {
        return mezzo;
    }

    public DtbOrdt setMezzo(String mezzo) {
        this.mezzo = mezzo;
        return this;
    }

    public String getModificatoDa() {
        return modificatoDa;
    }

    public DtbOrdt setModificatoDa(String modificatoDa) {
        this.modificatoDa = modificatoDa;
        return this;
    }

    public BigDecimal getNettoMerce() {
        return nettoMerce;
    }

    public DtbOrdt setNettoMerce(BigDecimal nettoMerce) {
        this.nettoMerce = nettoMerce;
        return this;
    }

    public BigDecimal getNolo() {
        return nolo;
    }

    public DtbOrdt setNolo(BigDecimal nolo) {
        this.nolo = nolo;
        return this;
    }

    public String getNote() {
        return note;
    }

    public DtbOrdt setNote(String note) {
        this.note = note;
        return this;
    }

    public String getNumColli() {
        return numColli;
    }

    public DtbOrdt setNumColli(String numColli) {
        this.numColli = numColli;
        return this;
    }

    public String getNumCons() {
        return numCons;
    }

    public DtbOrdt setNumCons(String numCons) {
        this.numCons = numCons;
        return this;
    }

    public Integer getNumFase() {
        return numFase;
    }

    public DtbOrdt setNumFase(Integer numFase) {
        this.numFase = numFase;
        return this;
    }

    public Integer getNumOrdProvv() {
        return numOrdProvv;
    }

    public DtbOrdt setNumOrdProvv(Integer numOrdProvv) {
        this.numOrdProvv = numOrdProvv;
        return this;
    }

    public Integer getNumOrdRif() {
        return numOrdRif;
    }

    public DtbOrdt setNumOrdRif(Integer numOrdRif) {
        this.numOrdRif = numOrdRif;
        return this;
    }

    public Integer getRifNumOrd() {
        return rifNumOrd;
    }

    public DtbOrdt setRifNumOrd(Integer rifNumOrd) {
        this.rifNumOrd = rifNumOrd;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public DtbOrdt setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public BigDecimal getPercEsclStat() {
        return percEsclStat;
    }

    public DtbOrdt setPercEsclStat(BigDecimal percEsclStat) {
        this.percEsclStat = percEsclStat;
        return this;
    }

    public String getPersonaRif() {
        return personaRif;
    }

    public DtbOrdt setPersonaRif(String personaRif) {
        this.personaRif = personaRif;
        return this;
    }

    public String getPeso() {
        return peso;
    }

    public DtbOrdt setPeso(String peso) {
        this.peso = peso;
        return this;
    }

    public String getPorto() {
        return porto;
    }

    public DtbOrdt setPorto(String porto) {
        this.porto = porto;
        return this;
    }

    public BigDecimal getQtaEvasaProd() {
        return qtaEvasaProd;
    }

    public DtbOrdt setQtaEvasaProd(BigDecimal qtaEvasaProd) {
        this.qtaEvasaProd = qtaEvasaProd;
        return this;
    }

    public BigDecimal getQtaPrenotataRep() {
        return qtaPrenotataRep;
    }

    public DtbOrdt setQtaPrenotataRep(BigDecimal qtaPrenotataRep) {
        this.qtaPrenotataRep = qtaPrenotataRep;
        return this;
    }

    public BigDecimal getQtaProd() {
        return qtaProd;
    }

    public DtbOrdt setQtaProd(BigDecimal qtaProd) {
        this.qtaProd = qtaProd;
        return this;
    }

    public BigDecimal getRapConvProd() {
        return rapConvProd;
    }

    public DtbOrdt setRapConvProd(BigDecimal rapConvProd) {
        this.rapConvProd = rapConvProd;
        return this;
    }

    public String getRfid() {
        return rfid;
    }

    public DtbOrdt setRfid(String rfid) {
        this.rfid = rfid;
        return this;
    }

    public String getRifOrd() {
        return rifOrd;
    }

    public DtbOrdt setRifOrd(String rifOrd) {
        this.rifOrd = rifOrd;
        return this;
    }

    public Integer getRigaOrdRif() {
        return rigaOrdRif;
    }

    public DtbOrdt setRigaOrdRif(Integer rigaOrdRif) {
        this.rigaOrdRif = rigaOrdRif;
        return this;
    }

    public BigDecimal getSconto1() {
        return sconto1;
    }

    public DtbOrdt setSconto1(BigDecimal sconto1) {
        this.sconto1 = sconto1;
        return this;
    }

    public BigDecimal getSconto2() {
        return sconto2;
    }

    public DtbOrdt setSconto2(BigDecimal sconto2) {
        this.sconto2 = sconto2;
        return this;
    }

    public BigDecimal getSconto3() {
        return sconto3;
    }

    public DtbOrdt setSconto3(BigDecimal sconto3) {
        this.sconto3 = sconto3;
        return this;
    }

    public BigDecimal getSconto4() {
        return sconto4;
    }

    public DtbOrdt setSconto4(BigDecimal sconto4) {
        this.sconto4 = sconto4;
        return this;
    }

    public String getSerie() {
        return serie;
    }

    public DtbOrdt setSerie(String serie) {
        this.serie = serie;
        return this;
    }

    public String getTermCons() {
        return termCons;
    }

    public DtbOrdt setTermCons(String termCons) {
        this.termCons = termCons;
        return this;
    }

    public String getTipoAnag() {
        return tipoAnag;
    }

    public DtbOrdt setTipoAnag(String tipoAnag) {
        this.tipoAnag = tipoAnag;
        return this;
    }

    public Integer getTotFasi() {
        return totFasi;
    }

    public DtbOrdt setTotFasi(Integer totFasi) {
        this.totFasi = totFasi;
        return this;
    }

    public BigDecimal getTotImponib() {
        return totImponib;
    }

    public DtbOrdt setTotImponib(BigDecimal totImponib) {
        this.totImponib = totImponib;
        return this;
    }

    public BigDecimal getTotIva() {
        return totIva;
    }

    public DtbOrdt setTotIva(BigDecimal totIva) {
        this.totIva = totIva;
        return this;
    }

    public BigDecimal getTotMerce() {
        return totMerce;
    }

    public DtbOrdt setTotMerce(BigDecimal totMerce) {
        this.totMerce = totMerce;
        return this;
    }

    public BigDecimal getTotOmaggi() {
        return totOmaggi;
    }

    public DtbOrdt setTotOmaggi(BigDecimal totOmaggi) {
        this.totOmaggi = totOmaggi;
        return this;
    }

    public BigDecimal getTotProvvig() {
        return totProvvig;
    }

    public DtbOrdt setTotProvvig(BigDecimal totProvvig) {
        this.totProvvig = totProvvig;
        return this;
    }

    public String getUntMisProd() {
        return untMisProd;
    }

    public DtbOrdt setUntMisProd(String untMisProd) {
        this.untMisProd = untMisProd;
        return this;
    }

    public String getFlagPrzIva() {
        return flagPrzIva;
    }

    public DtbOrdt setFlagPrzIva(String flagPrzIva) {
        this.flagPrzIva = flagPrzIva;
        return this;
    }

    public String getNoteConferma() {
        return noteConferma;
    }

    public DtbOrdt setNoteConferma(String noteConferma) {
        this.noteConferma = noteConferma;
        return this;
    }

    public String getCodJflav() {
        return codJflav;
    }

    public DtbOrdt setCodJflav(String codJflav) {
        this.codJflav = codJflav;
        return this;
    }
}
